#ifndef __COMMANDS_H
#define __COMMANDS_H

#include <vdr/osdbase.h>
#include <vdr/tools.h>

#include "config.h"
#include "data.h"

class cFileObjItem;

class cMenuMP3Playlist : public cOsdMenu {
private:
  void SetHelp();
  void LoadMusicFiles();
  eOSState SetMusic(void);
  cFileObjItem *newitem;
protected:
  cFileObjItem *CurrentFileObjItem(void);  
  cString ServiceID;
  bool ServiceAvailable;
public:
  cMenuMP3Playlist(void);
  virtual eOSState ProcessKey(eKeys Key);
};


struct MP3ServiceData {
  int result;
  union {
    const char *filename;
  } data;
};      

#endif // __COMMANDS_H
